> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invite Codes

> Retrieve a list of invite codes based on specified criteria



## OpenAPI

````yaml /api/specs/identity-api.json get /identity/v1/invite-codes
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/invite-codes:
    get:
      tags:
        - Invite Code
      summary: List Invite Codes
      description: Retrieve a list of invite codes based on specified criteria
      parameters:
        - in: query
          name: limit
          description: >-
            The maximum number of invite codes to return (default 20, maximum
            100).
          schema:
            type: string
            pattern: ^[0-9][0-9]?$|^100$
        - in: query
          name: startingAfter
          description: >-
            The ID of the last invite code in the previous page of results.
            Results will start after this invite code
          schema:
            type: string
      responses:
        '200':
          description: A list of invite codes
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - hasMore
                      - items
                    properties:
                      hasMore:
                        type: boolean
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/InviteCode'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    InviteCode:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - PRIVATE_CHARGING
            - PRICE_ADJUSTMENT
        referenceId:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        network:
          type: object
          properties:
            id:
              type: string
        expirationDate:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - code
        - type
        - referenceId
        - status
        - network
        - expirationDate
        - createdAt
        - updatedAt
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````